For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Trust CenterStatusSupportGet a demoPlatform
DocumentationEvals API ReferenceIntegrations & OTELPlatform SettingsSelf-HostingGuidesChangelog
DocumentationEvals API ReferenceIntegrations & OTELPlatform SettingsSelf-HostingGuidesChangelog
  • Get Started
    • Introduction
    • Quickstart
    • Authentication
    • Data Models
    • API Conventions
  • Data Models
  • Evals
  • Legacy
      • GETList Metric Data
LogoLogo
Trust CenterStatusSupportGet a demoPlatform
LegacyMetrics Data

List Metric Data

GET
https://api.confident-ai.com/v1/metric-data
GET
/v1/metric-data
$curl https://api.confident-ai.com/v1/metric-data \
> -H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"
200Retrieved
1{
2 "success": true,
3 "data": {
4 "metricsData": [
5 {
6 "id": "metric-data-uuid-1",
7 "projectId": "PROJECT-ID",
8 "name": "answer_relevancy",
9 "multiTurn": false,
10 "createdAt": "2025-11-12T10:30:00.000Z",
11 "threshold": 0.7,
12 "strictMode": false,
13 "skipped": false,
14 "traceUuid": null,
15 "spanUuid": null,
16 "testCaseId": "test-case-uuid-1",
17 "testRunId": null,
18 "threadId": null,
19 "score": 0.85,
20 "reason": "The answer is relevant to the question",
21 "success": true,
22 "evaluatedAt": "2025-11-12T10:30:02.000Z",
23 "evaluationModel": "gpt-4o",
24 "error": null,
25 "evaluationCost": 0.002,
26 "verboseLogs": null,
27 "updatedAt": "2025-11-12T10:30:02.000Z"
28 }
29 ],
30 "totalMetricsData": 150,
31 "page": 1,
32 "pageSize": 25
33 }
34}

Deprecated. Use GET /v1/metrics-data instead. Retrieves a paginated list of metric data (evaluation results) from your Confident AI project.

Was this page helpful?
Previous
Built with

Headers

CONFIDENT_API_KEYstringRequired
The API key of your Confident AI project.

Query parameters

pageintegerOptional>=1
This specifies the page number of the metrics data to return. Defaulted to 1.
pageSizeintegerOptional1-100
This specifies the maximum number of metrics data per page. Defaulted to 25, capped at 100.
startstringOptionalformat: "date-time"
This filters for metrics data created after the specified start datetime. Defaulted to 60 days ago.
endstringOptionalformat: "date-time"
This filters for metrics data created before the specified end datetime. Defaulted to the current time.

Response

Successfully retrieved list of metrics data
successboolean
Indicates if the request was successful
dataobject